org.apache.xmlbeans

## Class SchemaAttributeGroup.Ref

- java.lang.Object
- - org.apache.xmlbeans.SchemaComponent.Ref
  - - org.apache.xmlbeans.SchemaAttributeGroup.Ref

- Enclosing interface:
    SchemaAttributeGroup

      public static final class SchemaAttributeGroup.Ref
      extends SchemaComponent.Ref

  Used to allow on-demand loading of attribute groups.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.SchemaComponent.Ref

      `_handle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ref(SchemaAttributeGroup attributeGroup)`
    `Ref(SchemaTypeSystem system, String handle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaAttributeGroup` | `get()`
    `int` | `getComponentType()`

    - ### Methods inherited from class org.apache.xmlbeans.SchemaComponent.Ref

      `getComponent, getTypeSystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ref

          public Ref(SchemaAttributeGroup attributeGroup)

    - #### Ref

          public Ref(SchemaTypeSystem system,
                     String handle)

  - ### Method Detail

    - #### getComponentType

          public final int getComponentType()

      Specified by:
        `getComponentType` in class `SchemaComponent.Ref`

    - #### get

          public final SchemaAttributeGroup get()